#! /usr/bin/python
from twisted.internet import reactor, ssl
import vncexternalauth

sslContext = ssl.DefaultOpenSSLContextFactory(
	'vncproxykey.pem',
	'vncproxy.crt',
)

if '__main__' == __name__:
    reactor.listenSSL(10003,vncexternalauth.VNCAuthFactory("localhost"), contextFactory=sslContext)
    reactor.run()
